# eoRandomReduce< EOT > Class Template Reference

random truncation More...

`#include <eoReduce.h>`

Inheritance diagram for eoRandomReduce< EOT >:

List of all members.

## Private Member Functions

void | operator() (eoPop< EOT > &_newgen, unsigned _newsize)
| The pure virtual function that needs to be implemented by the subclass.

## Detailed Description

### template<class EOT>
class eoRandomReduce< EOT >

random truncation

Definition at line 64 of file eoReduce.h.

The documentation for this class was generated from the following file:

- eoReduce.h